# QSvgWidget Class Reference

### [com.trolltech.qt.svg package]

Inherits QWidget.

### Constructor

- void QSvgWidget(QWidget parent)
- void QSvgWidget(String file, QWidget parent)

### Constructor Properties

- prototype: The QSvgWidget prototype object

### Prototype Object Properties

The QSvgWidget prototype object inherits properties from the QWidget prototype object and also has the following properties.

- QSvgRenderer renderer()
- QSize sizeHint()

### Instance Properties

QSvgWidget objects have no special properties beyond those inherited from the QSvgWidget prototype object.